#define _CRT_SECURE_NO_WARNINGS
#include <iostream>

int main()
{
	int T;
	scanf("%d", &T);

	for (int t = 0; t < T; ++t)
	{
		int N, M, K;
		scanf("%d%d%d", &N, &M, &K);

		//Broj grupa od n + 1 ucenika
		int K2 = N % K;
		//Broj grupa od n ucenika
		int K1 = K - K2;
		
		int n = N / K;		

		int min = n * (n + 1) / 2 * K1 + (n + 1) * (n + 2) / 2 * K2;

		if (min <= M)
			printf("Tak\n");
		else
			printf("Nie\n");
	}
}